package com.abmcode.bpmsample.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum LeaveAppStatus implements EnumClass<String> {

    NEW("NEW"),
    APPROVED("Approved"),
    REJECTED("Rejected");

    private String id;

    LeaveAppStatus(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static LeaveAppStatus fromId(String id) {
        for (LeaveAppStatus at : LeaveAppStatus.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}