package com.abmcode.bpmsample.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum PositionEnum implements EnumClass<Integer> {

    ENGINEER(10),
    TEAMLEAD(20),
    MANAGER(30),
    SENIORMANAGER(40);

    private Integer id;

    PositionEnum(Integer value) {
        this.id = value;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static PositionEnum fromId(Integer id) {
        for (PositionEnum at : PositionEnum.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}