package com.abmcode.bpmsample.service;

import com.abmcode.bpmsample.entity.LeaveAppStatus;
import com.abmcode.bpmsample.entity.LeaveApplication;
import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

@Service("bpmspl_LeaveApplicationService")
public class LeaveApplicationService {
    @Autowired
    private DataManager dataManager;

    public void approveLeaveApplication(LeaveApplication la){
        la.setStatus(LeaveAppStatus.APPROVED);
        dataManager.save(la);
    }

    public void rejectLeaveApplication(LeaveApplication la, String comment){
        la.setStatus(LeaveAppStatus.REJECTED);
        la.setComments(comment);
        dataManager.save(la);
    }
}